(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     15438,        342]
NotebookOptionsPosition[     14885,        321]
NotebookOutlinePosition[     15420,        340]
CellTagsIndexPosition[     15377,        337]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"x", "^", "2"}]}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"d", "=", "5"}], ",", 
      RowBox[{"e", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"f", "=", "15"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(x) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "e", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "f", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"ar", "=", 
            RowBox[{"Switch", "[", 
             RowBox[{
             "aspect", ",", "\"\<one\>\"", ",", "1", ",", 
              "\"\<true proportions\>\"", ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"f", "-", "e"}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"d", "-", "c"}], ")"}]}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"Grid", "[", 
             RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{"text", " ", "-", " ", 
               RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
                RowBox[{"Framed", "@", 
                 RowBox[{"Text", "@", 
                  RowBox[{"Column", "[", 
                   RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", "4", "*)"}], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                   "\[IndentingNewLine]", 
                   RowBox[{"(*", "3", "*)"}], "]"}]}]}], 
                "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{"plots", " ", "-", " ", 
                 RowBox[{"second", " ", "row"}]}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"Show", "[", 
                 RowBox[{"{", 
                  RowBox[{"(*", "show", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{"Plot", "[", 
                   RowBox[{"(*", "plot", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{"q", " ", ",", " ", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "c", ",", "d"}], "}"}], ",", " ", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Blue", ",", " ", "Green", ",", " ", "Red"}], 
                    "}"}]}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "350"}], ",", " ", 
                    RowBox[{"AspectRatio", "\[Rule]", "ar"}]}], 
                   "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{"(*", "plot", "*)"}], "]"}], "\[IndentingNewLine]", 
                  RowBox[{"(*", "show", "*)"}], "}"}], "]"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", "2", "*)"}], "}"}]}], "\[IndentingNewLine]", 
              RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
             RowBox[{"(*", "0", "*)"}], "]"}], "]"}]}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"aspect", ",", "\"\<one\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"\"\<one\>\"", ",", "\"\<true proportions\>\""}], 
             "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, {
   3.555941020644127*^9, 3.5559411694928627`*^9}, {3.5559552706354723`*^9, 
   3.555955302422906*^9}, {3.566521371127533*^9, 3.566521386122992*^9}, {
   3.566521442619348*^9, 3.566521461795307*^9}, 3.5665214938205643`*^9, 
   3.5665216224602537`*^9, 3.567423894815269*^9, 3.567424109523258*^9, {
   3.596887020334022*^9, 3.59688703755363*^9}, {3.59688712277332*^9, 
   3.5968871340960484`*^9}, {3.5968874149654417`*^9, 3.596887496282373*^9}, {
   3.596887562873597*^9, 3.596887645115061*^9}, {3.5968878284222097`*^9, 
   3.5968878488627567`*^9}, {3.596887923292588*^9, 3.596888020144319*^9}, {
   3.5968882156954107`*^9, 3.596888217149253*^9}}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = $CellContext`x^2, $CellContext`c$$ = \
-5, $CellContext`d$$ = 5, $CellContext`e$$ = -5, $CellContext`f$$ = 15}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(x) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "RowDefault"]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`c$$]]},
        "RowDefault"]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`d$$]]},
        "RowDefault"]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`e$$]]},
        "RowDefault"]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`f$$]]},
        "RowDefault"]},
      {
       DynamicBox[ToBoxes[
         Manipulate[$CellContext`ar = 
           Switch[$CellContext`aspect, "one", 1, 
             "true proportions", ($CellContext`f$$ - \
$CellContext`e$$)/($CellContext`d$$ - $CellContext`c$$)]; Dynamic[
            Grid[{{
               Framed[
                Text[
                 Column[{
                   Style[
                    Row[{"f(x) = ", 
                    TraditionalForm[$CellContext`q$$]}], Black, 16]}, 
                  Alignment -> Center]]]}, {
               Show[{
                 
                 Plot[$CellContext`q$$, {$CellContext`x, $CellContext`c$$, \
$CellContext`d$$}, PlotStyle -> {Blue, Green, Red}, 
                  PlotRange -> {$CellContext`e$$, $CellContext`f$$}, 
                  ImageSize -> 350, 
                  AspectRatio -> $CellContext`ar]}]}}]], \
{{$CellContext`aspect, "one"}, {"one", "true proportions"}}, 
          AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> True, Alignment -> 
          Center], StandardForm],
        ImageSizeCache->{489., {293., 300.}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{
  3.5559553537931643`*^9, {3.566521469122363*^9, 3.5665214952281847`*^9}, {
   3.566521614609086*^9, 3.566521625039049*^9}, 3.567168919147472*^9, 
   3.567422216187077*^9, 3.567424112015329*^9, 3.567424830145937*^9, 
   3.596887041403452*^9, 3.596887147986911*^9, 3.596887512020364*^9, 
   3.596887656922944*^9, 3.5968878558357677`*^9, {3.5968879566465282`*^9, 
   3.596887973815262*^9}, {3.596888009456668*^9, 3.596888023209484*^9}, 
   3.596888170992841*^9, {3.596888206975466*^9, 3.596888219470282*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Plot Demo\>\"", "\[IndentingNewLine]", 
   RowBox[{"By", " ", 
    ButtonBox[
     RowBox[{"Ethan", " ", "Bloch"}],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"],
        None},
     ButtonNote->
      "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}]}]\
], "Input",
 CellChangeTimes->{{3.554643887154148*^9, 3.554643894120864*^9}, {
   3.554643928521969*^9, 3.5546439339859943`*^9}, {3.5546439870866327`*^9, 
   3.554644011899135*^9}, 3.554644188266039*^9, 3.554645979032176*^9, {
   3.5546460222225246`*^9, 3.554646054791726*^9}, {3.555941238852641*^9, 
   3.555941263560933*^9}, {3.559236862460759*^9, 3.5592368627682877`*^9}, 
   3.567422211889641*^9}]
},
WindowSize->{1032, 972},
WindowMargins->{{126, Automatic}, {Automatic, 9}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 10544, 205, 871, "Input"],
Cell[11126, 229, 2817, 67, 817, "Output"]
}, Open  ]],
Cell[13958, 299, 923, 20, 112, "Input"]
}
]
*)

(* End of internal cache information *)
